/** Simple program for calculating 
 * the area of a rectangle 
 * @author robert.binna@uibk.ac.at
 * @date   09.04.2008
 */

#include <math.h>
#include <stdlib.h>
#include <stdio.h>

struct point {
	int x;
	int y;
};

struct rectangle {
	struct point a;
	struct point b;
};

/**
 * Function that calculates the area of a rectangle
 * @see http://www.mathematik-wissen.de/flaecheninhalt_rechteck.htm
 *
 * @param rect the rectangle to calculate the area of 
 * @return the area
 */
int area(struct rectangle rect) {
	return abs(rect.a.x - rect.b.x) * 
		   abs(rect.a.y - rect.b.y);
};

/**
 * main function for testing the distance function
 * @return the exit value of the program. 
 * 0 for correct behaviour.
 */
int main(void) {
	struct point a = { 2 , 2 };
	struct point b = { 4 , 4 };
	struct rectangle rect = { a, b };
	
	printf("Area of rectangle {%d, %d} and {%d, %d} is %d\n"
		, rect.a.x, rect.a.y, rect.b.x, rect.b.y, area(rect)
	); 		

	return 0; 		
}
